<?php
/*TrackRef, Copyright Michael Carlozzi 2016

This PHP file is part of TrackRef.

TrackRef is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TrackRef is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TrackRef. If not, see <http://www.gnu.org/licenses/>.
*/
session_start(); if (!isset($_SESSION['username'])) { Header("Location: index.php"); die();} else $loginUser = $_SESSION['username'];
include('settings.php'); include('FusionCharts.php');
if (!isset($_POST)) { echo "No data sent. Please return and resubmit your chart."; die(); }
?>
<html><head><title>TrackRef Customization</title><link rel='stylesheet' href='design.css'><script src='fusioncharts.js'></script></head>
<body>
<div id='main'>
<ul class='navbar'>
  <li class='navbar'><a class="active" href="index.php">Home</a></li>
  <li class='navbar'><a href="analysis.php">Analytics</a></li>
  <li class='navbar'><a href="edit.php">Settings</a></li>
  <li class='navbar'><a href="manual.php">Manual Entry</a></li>
   <li class='navbar'><a href="help.php">Help</a></li>
   <?php if (isset($_SESSION['username'])) echo "<li class='navbar'><a href='transaction.php?logout=1'>Logout</a></li>";?>
</ul>
<?php
$days = $_POST['weekday']; $count = count($days); $query = "SELECT * FROM transactions WHERE ";
$years = $_POST['year']; 
foreach ($days as $key=>$value) {
	if ($count <2) { $query .= "weekDay = '$value'"; }
	else { $query .= "weekDay = '$value' OR "; $count --; }
}
$count = count($_POST['year']); $counter = 0;
$query .= " AND ";
foreach ($years as $key=>$value) { if ($count <2) { $query .= "year = '$value'"; }
	else { $query .= "year = '$value' OR "; $count --; }
}
$result = mysqli_query($con,$query); 
$jan = $feb = $mar = $apr = $may = $jun = $jul = $aug = $sep = $oct = $nov = $dec = 0; $difficulty = $difficultyCount = 0; 
$eightAM = $nineAM = $tenAM = $elevenAM = $noon = $oneAM = $two = $three = $four = $five = $six = $seven = $eight = $ninePM = $tenPM = $elevenPM = $onePM = $twoPM = $threePM = $fourPM = $fivePM = $sixPM = $sevenPM = $eightPM = 0; 
$monday = $tuesday = $wednesday = $thursday = $friday = $saturday = 0;
$rowTotal = $result->num_rows;
if (isset($info)) { $total["crucial"] = $info; $infoArray = array($info,0);}//declare $info(crucial) if using basic settings
foreach($total as $key => $value) { $$key = array($value,0);} $difficulty = $difficultyCount = 0;

while ($data = mysqli_fetch_array($result)) {
	$day = $data['weekDay'];
	if ($day == 'Monday') { $monday ++; }
	if ($day == 'Tuesday') { $tuesday ++; }
	if ($day == 'Wednesday') { $wednesday ++; }
	if ($day == 'Thursday') { $thursday ++; }
	if ($day == 'Friday') { $friday ++; }
	if ($day == 'Saturday') { $saturday ++; }
	if ($data['month'] == 'January') { $jan ++;} if ($data['month'] == 'February') { $feb ++;}
	if ($data['month'] == 'March') { $mar ++;} if ($data['month'] == 'April') { $apr ++;}
	if ($data['month'] == 'May') { $may ++;} if ($data['month'] == 'June') { $jun ++;} 
	if ($data['month'] == 'July') { $jul ++;} if ($data['month'] == 'August') { $aug ++;}
	if ($data['month'] == 'September') { $sep ++;} if ($data['month'] == 'October') { $oct ++;}
	if ($data['month'] == 'November') { $nov ++;} if ($data['month'] == 'December') { $dec ++;}
	$time = $data['time']; 
	if ($time[1] == ":") { $newTime = $time[0] . $time[2] . $time[3];}
	else if ($time[2] == ":") { $newTime = $time[0] . $time[1] . $time[3] . $time[4]; }
	$exp = "PM";
	$newTime = intval($newTime);
	if ($newTime >= 900 && $newTime < 959){
		if (strpos($time, $exp) !== false){
			$ninePM ++; }
		else $nineAM ++;
	}
	if ($newTime >= 1000 && $newTime < 1100){
		if (strpos($time, $exp) !== false){
			$tenPM ++; }
		else $tenAM ++;
	}
	if ($newTime >= 1100 && $newTime < 1200){
		if (strpos($time, $exp) !== false){
			$elevenPM ++; }
		else $elevenAM ++;
	}
	if ($newTime >= 1200 && $newTime < 1259) { $noon ++; }
	if ($newTime >= 100 && $newTime < 200){
		if (strpos($time, $exp) !== false){
			$onePM ++; }
		else $oneAM ++;
	}
	if ($newTime >= 200 && $newTime < 259) { 
		if (strpos($time, $exp) !== false){
			$twoPM ++; }
		else $twoAM ++;
	}
	if ($newTime >= 300 && $newTime < 359) { 
		if (strpos($time, $exp) !== false){
			$threePM ++; }
		else $threeAM ++;
	}
	if ($newTime >= 400 && $newTime < 459) { 
		if (strpos($time, $exp) !== false){
			$fourPM ++; }
		else $fourAM ++;
	}
	if ($newTime >= 500 && $newTime < 559) { 
		if (strpos($time, $exp) !== false){
			$fivePM ++; }
		else $fiveAM ++;
	}
	if ($newTime >= 600 && $newTime < 659) { 
		if (strpos($time, $exp) !== false){
			$sixPM ++; }
		else $sixAM ++;
	}
	if ($newTime >= 700 && $newTime < 759) { 
		if (strpos($time, $exp) !== false){
			$sevenPM ++; }
		else $sevenAM ++;
	}
	if ($newTime >= 800 && $newTime < 859) {
			if (strpos($time, $exp) !== false){
			$eightPM ++; 
			}	
		else $eightAM ++;
	}
if ($detailedSettings !==1) {
	foreach ($total as $key=>$value) {
		if ($data['type'] == $value) {
			$counter ++;
			if ($value == $infoArray[0]) { $infoArray[1] ++; $difficulty = $difficulty + $data['difficulty']; $difficultyCount ++;}
			if (isset($t1)) {
				if ($value == $t1[0]) { $t1[1] ++;}
			}else $t1 = 0;
			if (isset($t2)) {
				if ($value == $t2[0]) { $t2[1] ++;}
			}else $t2 = 0;
			if (isset($t3)) {
				if ($value == $t3[0]) { $t3[1] ++;}
			}else $t3 = 0;
			if (isset($t4)) {
				if ($value == $t4[0]) { $t4[1] ++;}
			}else $t4 = 0;
			if (isset($t5)) {
				if ($value == $t5[0]) { $t5[1] ++;}
			}else $t5 = 0;
			if (isset($t6)) {
				if ($value == $t6[0]) { $t6[1] ++;}
			}else $t6 = 0;
			if (isset($t7)) {
				if ($value == $t7[0]) { $t7[1] ++;}
			}else $t7 = 0;
			if (isset($t8)) {
				if ($value == $t8[0]) { $t8[1] ++;}
			}else $t8 = 0;
			if (isset($t9)) {
				if ($value == $t9[0]) { $t9[1] ++;}
			}else $t9 = 0;
			if (isset($t10)) {
				if ($value == $t10[0]) { $t10[1] ++;}
			}else $t10 = 0;
			if (isset($t11)) {
				if ($value == $t11[0]) { $t11[1] ++;}
			}else $t11 = 0;
			if (isset($t12)) {
				if ($value == $t12[0]) { $t12[1] ++;}
			}else $t12 = 0;
			if (isset($t13)) {
				if ($value == $t13[0]) { $t13[1] ++;}
			}else $t13 = 0;
			if (isset($t14)) {
				if ($value == $t14[0]) { $t14[1] ++;}
			}else $t14 = 0;
		}
	}
}
else if ($detailedSettings == 1){ //DETAILED SETTINGS HERE

	foreach ($total as $key=>$value) {
	
		if ($data['type'] == $value[0]) {
			$counter ++;
			if (isset($t1)) {
				if ($value[0] == $t1[0][0]) { $t1[1] ++; }
			}else $t1 = 0;
		
			if (isset($t2)) {
				if ($value[0] == $t2[0][0]) { $t2[1] ++;}
			}else $t2 = 0;
			if (isset($t3)) {
				if ($value[0] == $t3[0][0]) { $t3[1] ++;}
			}else $t3 = 0;
			if (isset($t4)) {
				if ($value[0] == $t4[0][0]) { $t4[1] ++;}
			}else $t4 = 0;
			if (isset($t5)) {
				if ($value[0] == $t5[0][0]) { $t5[1] ++;}
			}else $t5 = 0;
			if (isset($t6)) {
				if ($value[0] == $t6[0][0]) { $t6[1] ++;}
			}else $t6 = 0;
			if (isset($t7)) {
				if ($value[0] == $t7[0][0]) { $t7[1] ++;}
			}else $t7 = 0;
			if (isset($t8)) {
				if ($value[0] == $t8[0][0]) { $t8[1] ++;}
			}else $t8 = 0;
			if (isset($t9)) {
				if ($value[0] == $t9[0][0]) { $t9[1] ++;}
			}else $t9 = 0;
			if (isset($t10)) {
				if ($value[0] == $t10[0][0]) { $t10[1] ++;}
			}else $t10 = 0;
			if (isset($t11)) {
				if ($value[0] == $t11[0][0]) { $t11[1] ++;}
			}else $t11 = 0;
			if (isset($t12)) {
				if ($value[0] == $t12[0][0]) { $t12[1] ++;}
			}else $t12 = 0;
			if (isset($t13)) {
				if ($value[0] == $t13[0][0]) { $t13[1] ++;}
			}else $t13 = 0;
			if (isset($t14)) {
				if ($value[0] == $t14[0][0]) { $t14[1] ++;}
			}else $t14 = 0;
		}
	}
}
}
	$arrData = array(
                "chart" => array(
                    "caption" => "",
                    "subCaption" => "",
                    "paletteColors" => "#0075c2",
                    "bgColor" => "#ffffff", 
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
			
			$actualData = array(
	"10:00" => $tenAM, 
	"11:00" => $elevenAM,
	"12:00" => $noon, 
	"1:00" => $onePM,
	"2:00" => $twoPM, 
	"3:00" => $threePM,
	"4:00" => $fourPM, 
	"5:00" => $fivePM,
	"6:00" => $sixPM, 
	"7:00" => $sevenPM,
	"8:00" => $eightPM
	 );
$arrData['data'] = array();

foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
                );
            }
		
	$jsonEncodedData = json_encode($arrData);

	$columnChart = new FusionCharts("column2d", "Hourly Adjusted" , 600, 300, "chart-1", "json", $jsonEncodedData);
	$columnChart->render();
//transaction pie chart
if ($detailedSettings == 0) {$avg = $difficulty/$difficultyCount; $avg = number_format((float)$avg, 2, '.', '');} else $avg = 0;
$arrData = array(
                "chart" => array(
                    "caption" => "Split of Transactions",
                    "subCaption" => "$rowTotal transactions<br/>Difficulty avg: $avg",
                    "paletteColors" => "#0075c2,#1aaf5d,#f2c500,#f45b00,#8e0000",
                    "bgColor" => "#ffffff",
                    "showBorder" => "0",
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
if ($detailedSettings !== 1) {
	$actualData = array(
	"$t1[0]" => $t1[1], 
	"$t2[0]" => $t2[1],
	"$t3[0]" => $t3[1],
	"$t4[0]" => $t4[1],
	"$t5[0]" => $t5[1],
	"$t6[0]" => $t6[1], 
	"$t7[0]" => $t7[1],
	"$t8[0]" => $t8[1],
	"$t9[0]" => $t9[1],
	"$t10[0]" => $t10[1],
	"$t11[0]" => $t11[1], 
	"$t12[0]" => $t12[1],
	"$t13[0]" => $t13[1],
	"$t14[0]" => $t14[1],
	"$infoArray[0]" => $infoArray[1]
	 );
}
else {
	
	$actualData = array(
	$t1[0][0] => $t1[1], 
	$t2[0][0] => $t2[1],
	$t3[0][0] => $t3[1],
	$t4[0][0] => $t4[1],
	$t5[0][0] => $t5[1],
	$t6[0][0] => $t6[1], 
	$t7[0][0] => $t7[1],
	$t8[0][0] => $t8[1],
	$t9[0][0] => $t9[1],
	$t10[0][0] => $t10[1],
	$t11[0][0] => $t11[1], 
	$t12[0][0] => $t12[1],
	$t13[0][0] => $t13[1],
	$t14[0][0] => $t14[1],
	 );
}
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
                );
            }
	$jsonEncodedData = json_encode($arrData);
	$columnChart = new FusionCharts("pie2d", "Transaction" , 600, 300, "chart-2", "json", $jsonEncodedData);
	$columnChart->render();

//EXPERIMENTAL HOURLY CHART HERE
/*	
$newQuery = "SELECT * FROM transactions"; $rowTotal = 0;
$result = mysqli_query($con,$newQuery); 
$t1[1] = 0;$t2[1] = 0;$t3[1] = 0;$t4[1] = 0;$t5[1] = 0;$t6[1] = 0;$t7[1] = 0;$t8[1] = 0;$t9[1] = 0;
$t10[1] = 0;$t11[1] = 0;$t12[1] = 0;$t13[1] = 0;$t14[1] = 0; $infoArray[1] = 0; $difficulty = 0;
while ($data = mysqli_fetch_array($result)) {
$time = $data['time']; if ($time[1] == ":") { $newTime = $time[0] . $time[2] . $time[3];} else if ($time[2] == ":") { $newTime = $time[0] . $time[1] . $time[3] . $time[4]; }
$newTime = intval($newTime);

if ($newTime >= 800 && $newTime < 859) {  
$rowTotal ++;

foreach($total as $key => $value) {
	if ($data['type'] == $value) {
	if ($value == $infoArray[0]) { $infoArray[1] ++; $difficulty = $difficulty + $data['difficulty']; $difficultyCount ++;}
			if (isset($t1)) {
				
				if ($value == $t1[0]) { $t1[1] ++;
				
			}
			if (isset($t2)) {
				if ($value == $t2[0]) { $t2[1] ++;
				
				}
			}
			if (isset($t3)) {
				if ($value == $t3[0]) { $t3[1] ++;}
			}
			if (isset($t4)) {
				if ($value == $t4[0]) { $t4[1] ++;}
			}
			if (isset($t5)) {
				if ($value == $t5[0]) { $t5[1] ++;}
			}
			if (isset($t6)) {
				if ($value == $t6[0]) { $t6[1] ++;}
			}
			if (isset($t7)) {
				if ($value == $t7[0]) { $t7[1] ++;}
			}
			if (isset($t8)) {
				if ($value == $t8[0]) { $t8[1] ++;}
			}
			if (isset($t9)) {
				if ($value == $t9[0]) { $t9[1] ++;}
			}
			if (isset($t10)) {
				if ($value == $t10[0]) { $t10[1] ++;}
			}
			if (isset($t11)) {
				if ($value == $t11[0]) { $t11[1] ++;}
			}
			if (isset($t12)) {
				if ($value == $t12[0]) { $t12[1] ++;}
			}
			if (isset($t13)) {
				if ($value == $t13[0]) { $t13[1] ++;}
			}
			if (isset($t14)) {
				if ($value == $t14[0]) { $t14[1] ++;}
			}
}}}}}

if ($detailedSettings == 0) { $avg = $difficulty/$difficultyCount; $avg = number_format((float)$avg, 2, '.', ''); } else $avg = 0;
$arrData = array(
                "chart" => array(
                    "caption" => "Split of Transactions by Hour",
                    "subCaption" => "$rowTotal transactions",
                    "paletteColors" => "#0075c2,#1aaf5d,#f2c500,#f45b00,#8e0000",
                    "bgColor" => "#ffffff",
                    "showBorder" => "0",
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
	$actualData = array(
	"$t1[0]" => $t1[1], 
	"$t2[0]" => $t2[1],
	"$t3[0]" => $t3[1],
	"$t4[0]" => $t4[1],
	"$t5[0]" => $t5[1],
	"$t6[0]" => $t6[1], 
	"$t7[0]" => $t7[1],
	"$t8[0]" => $t8[1],
	"$t9[0]" => $t9[1],
	"$t10[0]" => $t10[1],
	"$t11[0]" => $t11[1], 
	"$t12[0]" => $t12[1],
	"$t13[0]" => $t13[1],
	"$t14[0]" => $t14[1],
	"$infoArray[0]" => $infoArray[1]
	 );
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
                );
            }
	$jsonEncodedData = json_encode($arrData);
	$columnChart = new FusionCharts("pie2d", "Transaction 8:00 PM" , 600, 300, "chart-3", "json", $jsonEncodedData);
	$columnChart->render();
*/
?>
<h2>Customized Chart</h2>
<p><?php

foreach ($years as $key=>$value) {
	echo "<strong>$value</strong> ";
}
echo "</p><p>";
foreach ($days as $key=>$value) {
	echo "<strong>$value</strong> ";
}
echo "</p>";
?>
<div id="chart-1"><!-- Fusion Charts will render here--></div>
<div id="chart-2"><!-- Fusion Charts will render here--></div>
<hr>
<h2>Experimental Chart Here</h2>
<div id="chart-3"><!-- Fusion Charts will render here--></div>
</div></body></html>
<?php
$con->close();
?>