<?php 
/*TrackRef, Copyright Michael Carlozzi 2016

This PHP file is part of TrackRef.

TrackRef is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TrackRef is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TrackRef. If not, see <http://www.gnu.org/licenses/>.
*/
session_start(); include 'settings.php'; $date = date('m/j/Y'); $time = date('g:i A'); sort($total); 
if (isset($_COOKIE['auth']) && !isset($_SESSION['username'])) {
	$random = $_COOKIE['auth']; $search = "SELECT * FROM users WHERE cookie = '$random'"; $result=$con->query($search);
	if ($result->num_rows == 1) { $name = mysqli_fetch_array($result); $_SESSION['username'] = $name['username']; } }

?>
<html>
<head><title>TrackRef</title>
<link rel='stylesheet' href='design.css'>
<script type='text/javascript'>
function detail() {
	var data = <?php echo json_encode($info);?>;
	var answer = prompt("Please rate the difficulty of your question below (numbers recommended):");
	if (answer) window.location="transaction.php?transaction=" + data + "&difficulty=" + answer;
}
</script>
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script>
function check() {if (window.confirm("Record transaction?")) {return true;}else {event.preventDefault();}}
</script>
<script type='text/javascript'>
function describe(transaction) {
	var data = transaction;
	var answer = prompt("Please describe your transaction below:");
	if (answer) window.location="transaction.php?transaction=" + data + "&text=" + encodeURIComponent(answer);
}
</script>
</head>
<body>
<div id='main'>
<ul class='navbar'>
  <li class='navbar'><a class="active" href="">Home</a></li>
  <li class='navbar'><a href="analysis.php">Analytics</a></li>
  <li class='navbar'><a href="edit.php">Settings</a></li>
  <li class='navbar'><a href="manual.php">Manual Entry</a></li>
   <?php if ($editRows == 1) { echo "<li class='navbar'><a href='remove.php'>Edit</a></li>"; }
   if (isset($_SESSION['username'])) echo "<li class='navbar'><a href='transaction.php?logout=1'>Logout</a></li>";?>
</ul>
<?php
if (isset($_SESSION['noDB'])) {
	echo "<h3>First time here? <a href='create.php'>Create database now!</a></h3>";

}
if (isset($_POST['username']) && isset($_POST['password']) && isset($_POST['login'])) {
	$loginUser = $_POST['username']; $loginPass = $_POST['password']; $loginPass = mysqli_real_escape_string($con, $loginPass);
	$loginPass = sha1($loginPass); $loginUser = mysqli_real_escape_string($con,$loginUser);
	$checkDB = "SELECT * FROM users WHERE username = '$loginUser' AND password = '$loginPass'"; 
	$result = mysqli_query($con, $checkDB);
	if ($result->num_rows >0) {
		$_SESSION['username'] = $loginUser; $data = mysqli_fetch_array($result);
		if ($data['enableCookie'] == 1) {
			$random = generateRandomString(48);
			$cookieQuery = "UPDATE users SET cookie = '$random' WHERE username = '$loginUser'"; mysqli_query($con,$cookieQuery);
			setcookie("auth", $random, time() + (86400 * 60));
		}
		Header("Location: index.php"); die(); }
	else echo "<p class='alert'>Login failed.</p>";

}
if (!isset($_SESSION['username'])) {
	
	echo "<h3>Please login</h3><form method='POST' action=''>";
	echo "<table><tr><td><strong>Username:</td><td><input type='text' name='username' autofocus></input></td></tr>";
	echo "<tr><td><strong>Password:</td><td><input type='password' name='password'></input></td></tr>";
	echo "<tr><td><input type='submit' name='login' value='Login'></input></td></tr></table><br/>";
	echo "If this is your first time here, click 'Login' and a user account will be created for you with credentials
	explained in settings.php.";
	echo "</div></body></html>"; die();
}
else {
	echo "<p class='alert'>Welcome, " . $_SESSION['username'] . "!</p>";
}
?>
<h2>TrackRef</h2>
<p>Select the type of transaction you processed. That's all you need to do.</p>
<?php

if (isset($_SESSION['noDB'])) {
	echo "<h3>First time here? <a href='create.php'>Create database now!</a></h3>";

}
if (isset($_SESSION['success'])) {
	echo "<p class='alert'>Transaction of " . $_SESSION['transaction'] . " successfully recorded for " . 
	$_SESSION['date'] . " at " . $_SESSION['time'] . ".</p><br/>";
	unset($_SESSION['success']);
	unset($_SESSION['date']);
	unset($_SESSION['transaction']);
	unset($_SESSION['time']);
}
// populating buttons with preset values as found in 'settings.php'
//echo "<div id='dialog'>";
//echo "<a class='button' href='javascript:detail();'>$info</a>&nbsp&nbsp";
if ($detailedSettings !== 1) {echo "<a class='check' href='javascript:detail();'>$info</a>&nbsp&nbsp";}
//echo "</div>";
$setting = 1;

if ($detailedSettings !== 1) { //quantitative (above) vs. qualitative (below)
foreach ($total as $key => $value) {
	if ($setting % 2 == 0) {
		if ($setting == $break || $setting == ($break*2) || $setting == ($break*3)
			|| $setting == ($break*4) || $setting==($break*5)) {
			echo "<br/><br/>";}
		echo "<a class='button' ";
		if ($confirm == 1) { 	
			
			echo "onclick='check();' ";} // this is correct:debugging
		echo "href='transaction.php?transaction=$value'>$value</a>&nbsp&nbsp";
			$setting ++;}
	else {
		if ($setting == $break || $setting == ($break*2) || $setting == ($break*3)
			|| $setting == ($break*4) || $setting==($break*5)) {
			echo "<br/><br/>";
		}
		echo "<a class='buttonblue' ";
		if ($confirm == 1) {
			echo "onclick='check();' ";
		}
		echo "href='transaction.php?transaction=$value'>$value</a>&nbsp&nbsp";
			$setting ++;
		}}}
		
else { //for $detailedSettings == 1
	foreach ($total as $key => $value) {
		
	if ($setting % 2 == 0) {
		if ($setting == $break || $setting == ($break*2) || $setting == ($break*3)
			|| $setting == ($break*4) || $setting==($break*5)) {
			echo "<br/><br/>";}
		echo "<a class='button' ";
		if ($value[1] == 1) { 
			echo "href='javascript:describe(\"$value[0]\");' ";
		}
			else echo "onclick='check();'";
		
		echo "href='transaction.php?transaction=$value[0]'>$value[0]</a>&nbsp&nbsp";
		$setting ++;}
	else {
		if ($setting == $break || $setting == ($break*2) || $setting == ($break*3)
			|| $setting == ($break*4) || $setting==($break*5)) {
			echo "<br/><br/>";
		}
		echo "<a class='buttonblue' ";
		if ($value[1] == 1) {
			echo "href='javascript:describe(\"$value[0]\");' ";
		}
		else echo "onclick='check();'";
		echo "href='transaction.php?transaction=$value[0]'>$value[0]</a>&nbsp&nbsp";
			$setting ++;
		}}
}

	
$con->close();
?>
</div>
</body>
</html>