<?php
/*TrackRef, Copyright Michael Carlozzi 2016

This PHP file is part of TrackRef.

TrackRef is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TrackRef is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TrackRef. If not, see <http://www.gnu.org/licenses/>.
*/
session_start();if (!isset($_SESSION['username'])) {Header("Location: index.php"); die();} else $loginUser = $_SESSION['username'];
include('settings.php');
if ($editRows !== 1)  { echo "You shouldn't be here--talk to your administrator."; die();} // don't let users access page if admin does not allow row editing in settings.php
if (isset($_POST['removal'])) { //to remove rows
	foreach($_POST['removal'] as $post => $removal) {
		$pull_data = "SELECT * FROM transactions WHERE id = $removal"; $result = mysqli_query($con,$pull_data);
		while ($row = $result->fetch_assoc()) {
		$delete = "DELETE FROM transactions WHERE id = $removal"; mysqli_query($con,$delete);
}}}?>
<html>
<head><title>TrackRef Editing</title>
<link rel='stylesheet' href='design.css'>
</head>
<body>
<div id='main'>
<ul class='navbar'>
  <li class='navbar'><a class="active" href="index.php">Home</a></li>
  <li class='navbar'><a href="analysis.php">Analytics</a></li>
  <li class='navbar'><a href="edit.php">Settings</a></li>
  <li class='navbar'><a href="manual.php">Manual Entry</a></li>
   <?php if ($editRows == 1) { echo "<li class='navbar'><a href='remove.php'>Edit</a></li>"; }
  if (isset($_SESSION['username'])) echo "<li class='navbar'><a href='transaction.php?logout=1'>Logout</a></li>";?>
</ul>
<h2>Delete Entries</h2>
<?php 
echo "<p><table><tr><td>Show last 20 entries:</td><td><form method='POST' action=''><input type='submit' value='Reveal!' name='twenty'></td></tr>";
echo "<p><table><tr><td>Show ALL entries:</td><td><form method='POST' action=''><input type='submit' value='Reveal!' name='all'></td></tr>";
if (isset($_POST['all'])) {
echo "<form method='POST' action=''/>";
echo "<table cellpadding='3'><tr><td><input type='submit' name='remove' value='Remove Entry'></td></tr><tr><td><strong>Date</td><td><strong>Time</td><td><strong></td><td><strong>Location</td><td><strong>User</td><td><strong>Remove</td></tr>";
if ($loginUser == 'admin') { $query = "SELECT * FROM transactions ORDER BY id DESC";}
else {$query = "SELECT * FROM transactions WHERE staff = '$loginUser' ORDER BY id DESC"; } 
$result = $con->query($query);
while ($data = $result->fetch_assoc()) {
	echo "<tr><td>$data[date]</td><td>$data[time]</td><td>$data[type]</td><td>$data[location]</td><td>$data[staff]</td>
	<td><input type='checkbox' name='removal[]' value=$data[id]></input></td></tr>";
}
echo "<tr><td><input type='submit' name='remove' value='Remove Entry'></td></tr>";
}
if (isset($_POST['twenty'])) {
echo "<form method='POST' action=''/>";
echo "<tr><td><input type='submit' name='remove' value='Remove Entry'></td></tr>";
echo "<table cellpadding='3'><tr><td><strong>Date</td><td><strong>Time</td><td><strong></td><td><strong>Location</td><td><strong>User</td><td><strong>Remove</td></tr>";
if ($loginUser == 'admin') { $query = "SELECT * FROM transactions ORDER BY id DESC LIMIT 20";}
else {$query = "SELECT * FROM transactions WHERE staff = '$loginUser' ORDER BY id DESC LIMIT 20"; }
$result = $con->query($query);
while ($data = $result->fetch_assoc()) {
	echo "<tr><td>$data[date]</td><td>$data[time]</td><td>$data[type]</td><td>$data[location]</td>
	<td>$data[staff]</td><td><input type='checkbox' name='removal[]' value=$data[id]></input></td></tr>";
}
}
?>
</table>
</div></body></html>