<?php
/*TrackRef, Copyright Michael Carlozzi 2016

This PHP file is part of TrackRef.

TrackRef is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TrackRef is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TrackRef. If not, see <http://www.gnu.org/licenses/>.
*/
session_start(); if (!isset($_SESSION['username'])) { Header("Location: index.php"); die();} else $loginUser = $_SESSION['username'];
include('settings.php'); include('FusionCharts.php');
if (isset($_POST['updateyears'])) { $_SESSION['years'] = $_POST['years'];}
?>
<html><head><title>TrackRef Analysis</title><link rel='stylesheet' href='design.css'><script src='fusioncharts.js'></script></head>
<body><div id='main'>
<ul class='navbar'>
  <li class='navbar'><a class="active" href="index.php">Home</a></li>
  <li class='navbar'><a href="analysis.php">Analytics</a></li>
  <li class='navbar'><a href="edit.php">Settings</a></li>
  <li class='navbar'><a href="manual.php">Manual Entry</a></li>
  <?php if ($editRows == 1) { echo "<li class='navbar'><a href='remove.php'>Edit</a></li>"; }
 if (isset($_SESSION['username'])) echo "<li class='navbar'><a href='transaction.php?logout=1'>Logout</a></li>";?></ul>
<?php
if (isset($_SESSION['years'])) { //show only particular years
	$sessionYears = $_SESSION['years'];
	$query = "SELECT * FROM transactions WHERE ";
	$count = count($sessionYears);
	foreach ($sessionYears as $key=>$value) { if ($count <2) { $query .= "year = '$value'"; }
	else { $query .= "year = '$value' OR "; $count --; }
	unset($_SESSION['years']); } } else $query = "SELECT * FROM transactions";
$result = mysqli_query($con,$query);
//declare variables. so many variables. 
$jan = $feb = $mar = $apr = $may = $jun = $jul = $aug = $sep = $oct = $nov = $dec = 0; $difficulty = $difficultyCount = 0; 
$eightAM = $nineAM = $tenAM = $elevenAM = $noon = $oneAM = $two = $three = $four = $five = $six = $seven = $eight = $ninePM = $tenPM = $elevenPM = $onePM = $twoPM = $threePM = $fourPM = $fivePM = $sixPM = $sevenPM = $eightPM = 0; 
$monday = $tuesday = $wednesday = $thursday = $friday = $saturday = 0;
foreach($total as $key => $value) { $$key = array($value,0); } //creates arrays from assoc array
if (array_key_exists("crucial", $total)) echo "key exists";

if (isset($info)) { $total["crucial"] = $info; $infoArray = array($info,0);}//declare $info(crucial) if using basic settings
$count = count($total); $counter = 0; $rowTotal = $result->num_rows; 

while ($data = mysqli_fetch_array($result)) { // run through once to populate data fields
	//add transaction to location

	//add monthly data
	if ($data['month'] == 'January') { $jan ++;} if ($data['month'] == 'February') { $feb ++;}
	if ($data['month'] == 'March') { $mar ++;} if ($data['month'] == 'April') { $apr ++;}
	if ($data['month'] == 'May') { $may ++;} if ($data['month'] == 'June') { $jun ++;} 
	if ($data['month'] == 'July') { $jul ++;} if ($data['month'] == 'August') { $aug ++;}
	if ($data['month'] == 'September') { $sep ++;} if ($data['month'] == 'October') { $oct ++;}
	if ($data['month'] == 'November') { $nov ++;} if ($data['month'] == 'December') { $dec ++;}
	//add time-based data
	$time = $data['time']; 
	if ($time[1] == ":") { $newTime = $time[0] . $time[2] . $time[3];}
	else if ($time[2] == ":") { $newTime = $time[0] . $time[1] . $time[3] . $time[4]; }
	$exp = "PM";
	$newTime = intval($newTime);
	
	if ($newTime >= 900 && $newTime < 959){
		if (strpos($time, $exp) !== false){
			$ninePM ++; }
		else $nineAM ++;
	}
	if ($newTime >= 1000 && $newTime < 1100){
		if (strpos($time, $exp) !== false){
			$tenPM ++; }
		else $tenAM ++;
	}
	if ($newTime >= 1100 && $newTime < 1200){
		if (strpos($time, $exp) !== false){
			$elevenPM ++; }
		else $elevenAM ++;
	}
	if ($newTime >= 1200 && $newTime < 1259) { $noon ++; }
	if ($newTime >= 100 && $newTime < 200){
		if (strpos($time, $exp) !== false){
			$onePM ++; }
		else $oneAM ++;
	}
	if ($newTime >= 200 && $newTime < 259) { 
		if (strpos($time, $exp) !== false){
			$twoPM ++; }
		else $twoAM ++;
	}
	if ($newTime >= 300 && $newTime < 359) { 
		if (strpos($time, $exp) !== false){
			$threePM ++; }
		else $threeAM ++;
	}
	if ($newTime >= 400 && $newTime < 459) { 
		if (strpos($time, $exp) !== false){
			$fourPM ++; }
		else $fourAM ++;
	}
	if ($newTime >= 500 && $newTime < 559) { 
		if (strpos($time, $exp) !== false){
			$fivePM ++; }
		else $fiveAM ++;
	}
	if ($newTime >= 600 && $newTime < 659) { 
		if (strpos($time, $exp) !== false){
			$sixPM ++; }
		else $sixAM ++;
	}
	if ($newTime >= 700 && $newTime < 759) { 
		if (strpos($time, $exp) !== false){
			$sevenPM ++; }
		else $sevenAM ++;
	}
	if ($newTime >= 800 && $newTime < 859) {
			if (strpos($time, $exp) !== false){
			$eightPM ++; 
			}	
		else $eightAM ++;
	}
	
	//now days of the week
	$day = $data['weekDay'];
	if ($day == 'Monday') { $monday ++; }
	if ($day == 'Tuesday') { $tuesday ++; }
	if ($day == 'Wednesday') { $wednesday ++; }
	if ($day == 'Thursday') { $thursday ++; }
	if ($day == 'Friday') { $friday ++; }
	if ($day == 'Saturday') { $saturday ++; }
	
//****FOR NON-DETAILED SETTINGS******//
if ($detailedSettings !== 1) {
	
	foreach ($total as $key=>$value) {
		
		if ($data['type'] == $value) {
			$counter ++;
			// so we need to now do something with this match...check if it matches a t value?
			if ($value == $infoArray[0]) { $infoArray[1] ++; $difficulty = $difficulty + $data['difficulty']; $difficultyCount ++;}
			if (isset($t1)) {
				if ($value == $t1[0]) { $t1[1] ++;}
			}else $t1 = 0;
			if (isset($t2)) {
				if ($value == $t2[0]) { $t2[1] ++;}
			}else $t2 = 0;
			if (isset($t3)) {
				if ($value == $t3[0]) { $t3[1] ++;}
			}else $t3 = 0;
			if (isset($t4)) {
				if ($value == $t4[0]) { $t4[1] ++;}
			}else $t4 = 0;
			if (isset($t5)) {
				if ($value == $t5[0]) { $t5[1] ++;}
			}else $t5 = 0;
			if (isset($t6)) {
				if ($value == $t6[0]) { $t6[1] ++;}
			} else $t6 = 0;
			if (isset($t7)) {
				if ($value == $t7[0]) { $t7[1] ++;}
			}else $t7 = 0;
			if (isset($t8)) {
				if ($value == $t8[0]) { $t8[1] ++;}
			}else $t8 = 0;
			if (isset($t9)) {
				if ($value == $t9[0]) { $t9[1] ++;}
			}else $t9 = 0;
			if (isset($t10)) {
				if ($value == $t10[0]) { $t10[1] ++;}
			}else $t10 = 0;
			if (isset($t11)) {
				if ($value == $t11[0]) { $t11[1] ++;}
			}else $t11 = 0;
			if (isset($t12)) {
				if ($value == $t12[0]) { $t12[1] ++;}
			}else $t12 = 0;
			if (isset($t13)) {
				if ($value == $t13[0]) { $t13[1] ++;}
			}else $t13 = 0;
			if (isset($t14)) {
				if ($value == $t14[0]) { $t14[1] ++;}
			}else $t14 = 0;
		}
	}
}
else if ($detailedSettings == 1){ //DETAILED SETTINGS HERE

	foreach ($total as $key=>$value) {
	
		if ($data['type'] == $value[0]) {
			$counter ++;
			// so we need to now do something with this match...check if it matches a t value?
			
			if (isset($t1)) {
				
				//echo "data is $data[type], value is $value[0], and t1 is $t1[1][0]<br/>";
				if ($value[0] == $t1[0][0]) { $t1[1] ++; }
			}else $t1 = 0;
		
			if (isset($t2)) {
				if ($value[0] == $t2[0][0]) { $t2[1] ++;}
			}else $t2 = 0;
			if (isset($t3)) {
				if ($value[0] == $t3[0][0]) { $t3[1] ++;}
			}else $t3 = 0;
			if (isset($t4)) {
				if ($value[0] == $t4[0][0]) { $t4[1] ++;}
			}else $t4 = 0;
			if (isset($t5)) {
				if ($value[0] == $t5[0][0]) { $t5[1] ++;}
			}else $t5 = 0;
			if (isset($t6)) {
				if ($value[0] == $t6[0][0]) { $t6[1] ++;}
			}else $t6 = 0;
			if (isset($t7)) {
				if ($value[0] == $t7[0][0]) { $t7[1] ++;}
			}else $t7 = 0;
			if (isset($t8)) {
				if ($value[0] == $t8[0][0]) { $t8[1] ++;}
			}else $t8 = 0;
			if (isset($t9)) {
				if ($value[0] == $t9[0][0]) { $t9[1] ++;}
			}else $t9 = 0;
			if (isset($t10)) {
				if ($value[0] == $t10[0][0]) { $t10[1] ++;}
			}else $t10 = 0;
			if (isset($t11)) {
				if ($value[0] == $t11[0][0]) { $t11[1] ++;}
			}else $t11 = 0;
			if (isset($t12)) {
				if ($value[0] == $t12[0][0]) { $t12[1] ++;}
			}else $t12 = 0;
			if (isset($t13)) {
				if ($value[0] == $t13[0][0]) { $t13[1] ++;}
			}else $t13 = 0;
			if (isset($t14)) {
				if ($value[0] == $t14[0][0]) { $t14[1] ++;}
			}else $t14 = 0;
		}
	}
}
}

if ($detailedSettings !==1) {$avg = $difficulty/$difficultyCount; $avg = number_format((float)$avg, 2, '.', '');}
else $avg = 1;
//monthly chart
$arrData = array(
	"chart" => array(
		"caption" => "Analytics",
		 "paletteColors" => "#0075c2",
         "bgColor" => "#ffffff",
         "borderAlpha"=> "20",
         "canvasBorderAlpha"=> "0",
         "usePlotGradientColor"=> "0",
         "plotBorderAlpha"=> "10",
         "showXAxisLine"=> "1",
         "xAxisLineColor" => "#999999",
         "showValues" => "0",
         "divlineColor" => "#999999",
         "divLineIsDashed" => "1",
         "showAlternateHGridColor" => "0"
		) );
$actualData = array(
	"Jan" => $jan, "Feb" => $feb, "Mar" => $mar, "Apr" => $apr, "May" => $may, "Jun" => $jun, "Jul" => $jul,
	"Aug" => $aug, "Sep" => $sep, "Oct" => $oct, "Nov" => $nov, "Dec" => $dec, );
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value));}
	$jsonEncodedData = json_encode($arrData);
	$columnChart = new FusionCharts("line", "Monthly" , 600, 300, "chart-1", "json", $jsonEncodedData);
	$columnChart->render();
	
//transaction chart
	$arrData = array(
                "chart" => array(
                    "caption" => "Split of Transactions",
                    "subCaption" => "$counter transactions<br/>Difficulty avg: $avg",
                    "paletteColors" => "#0075c2,#1aaf5d,#f2c500,#f45b00,#8e0000",
                    "bgColor" => "#ffffff",
                    "showBorder" => "0",
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
if ($detailedSettings !==1) { // NON-DETAILED arraying
	$actualData = array(
	"$t1[0]" => $t1[1], 
	"$t2[0]" => $t2[1],
	"$t3[0]" => $t3[1],
	"$t4[0]" => $t4[1],
	"$t5[0]" => $t5[1],
	"$t6[0]" => $t6[1], 
	"$t7[0]" => $t7[1],
	"$t8[0]" => $t8[1],
	"$t9[0]" => $t9[1],
	"$t10[0]" => $t10[1],
	"$t11[0]" => $t11[1], 
	"$t12[0]" => $t12[1],
	"$t13[0]" => $t13[1],
	"$t14[0]" => $t14[1],
	"$infoArray[0]" => $infoArray[1]
	 );
}
else {
	
	$actualData = array(
	$t1[0][0] => $t1[1], 
	$t2[0][0] => $t2[1],
	$t3[0][0] => $t3[1],
	$t4[0][0] => $t4[1],
	$t5[0][0] => $t5[1],
	$t6[0][0] => $t6[1], 
	$t7[0][0] => $t7[1],
	$t8[0][0] => $t8[1],
	$t9[0][0] => $t9[1],
	$t10[0][0] => $t10[1],
	$t11[0][0] => $t11[1], 
	$t12[0][0] => $t12[1],
	$t13[0][0] => $t13[1],
	$t14[0][0] => $t14[1],
	 );
}
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
                );
            }
	$jsonEncodedData = json_encode($arrData);
	$columnChart = new FusionCharts("pie2d", "Transaction" , 600, 300, "chart-2", "json", $jsonEncodedData);
	$columnChart->render();
	
//hourly chart
$arrData = array(
                "chart" => array(
                    "caption" => "Hourly Transactions",
                    "subCaption" => "",
                    "paletteColors" => "#0075c2",
                    "bgColor" => "#ffffff", 
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
			foreach ($graphData as $k=>&$value) {
				if ($k == "8:00") { $value = $eightAM; }
				if ($k == "9:00") { $value = $nineAM;}
				if ($k == "10:00") {$value = $tenAM;}
				if ($k == "11:00") { $value = $elevenAM;} 
				if ($k == "12:00") { $value = $noon;}
				if ($k == "1:00") { $value = $onePM;}
				if ($k == "2:00") { $value = $twoPM;}
				if ($k == "3:00") { $value = $threePM;}
				if ($k == "4:00") { $value = $fourPM;}
				if ($k == "5:00") { $value = $fivePM;}
				if ($k == "6:00") { $value = $sixPM;}
				if ($k == "7:00") { $value = $sevenPM;}
				if ($k == "8:00") { $value = $eightPM; }
				if ($k == "9:00") {$value = $ninePM;}
			}
	
			$actualData = array(
	"10:00" => $tenAM, 
	"11:00" => $elevenAM,
	"12:00" => $noon, 
	"1:00" => $onePM,
	"2:00" => $twoPM, 
	"3:00" => $threePM,
	"4:00" => $fourPM, 
	"5:00" => $fivePM,
	"6:00" => $sixPM, 
	"7:00" => $sevenPM,
	"8:00" => $eightPM );
	
$rateArray = $actualData;
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
			
                );
				
            }
$jsonEncodedData = json_encode($arrData);
//following for loop is for the rate stats; this is not elegant and would be best to just reorder the graphs, but it's in case I want to use the hourly array anywhere in the file

foreach ($rateArray as $key => $value) {array_push($arrData['data'],array('label' => $key,'value' => $value));}

	$columnChart = new FusionCharts("column2d", "Hourly" , 600, 300, "chart-3", "json", $jsonEncodedData);
	$columnChart->render();
	
//present daily data

$arrData = array(
                "chart" => array(
                    "caption" => "Daily Transactions",
                    "subCaption" => "2016",
                    "paletteColors" => "#0075c2",
                    "bgColor" => "#ffffff", 
                    "use3DLighting" => "0",
                    "showShadow" => "0",
                    "enableSmartLabels" => "0",
                    "startingAngle" => "0",
                    "showPercentValues" => "1",
                    "showPercentInTooltip" => "0",
                    "decimals" => "1",
                    "captionFontSize" => "14",
                    "subcaptionFontSize" => "14",
                    "subcaptionFontBold" => "0",
                    "toolTipColor" => "#ffffff",
                    "toolTipBorderThickness" => "0",
                    "toolTipBgColor" => "#000000",
                    "toolTipBgAlpha" => "80",
                    "toolTipBorderRadius" => "2",
                    "toolTipPadding" => "5",
                    "showHoverEffect" => "1",
                    "showLegend" => "1",
                    "legendBgColor" => "#ffffff",
                    "legendBorderAlpha" => "0",
                    "legendShadow" => "0",
                    "legendItemFontSize" => "10",
                    "legendItemFontColor" => "#666666",
                    "useDataPlotColorForLabels" => "1"
                )
            );
			
			$actualData = array(
	"Mon" => $monday, 
	"Tues" => $tuesday,
	"Weds" => $wednesday, 
	"Thurs" => $thursday,
	"Fri" => $friday, 
	"Sat" => $saturday );
$arrData['data'] = array();
foreach ($actualData as $key => $value) {
                array_push($arrData['data'],
                    array(
                        'label' => $key,
                        'value' => $value
                    )
                );
            }
	$jsonEncodedData = json_encode($arrData);
	$columnChart = new FusionCharts("column2d", "Daily" , 600, 300, "chart-5", "json", $jsonEncodedData);
	$columnChart->render();
	$counter = 0;

?>
<h2>Customize Analysis</h2>
<form method='POST' action='custom.php'>
<table>
<tr><td><strong>Year</td><td><strong>Day(s)</td></tr>
<tr>
<td><select multiple name='year[]'>
<?php
$distinct = "SELECT DISTINCT year FROM transactions ORDER BY year DESC"; $result = mysqli_query($con, $distinct); $first = 0;
while ($row = mysqli_fetch_array($result)) {
	if ($first == 0) {
	echo "<option name='$row[year]' selected = 'selected'>$row[year]</option>";
	}
	else echo "<option name='$row[year]'>$row[year]</option>";
}
?>
</select></td>
<td><select multiple name='weekday[]'>
<option name='Monday'>Monday</option>
<option name='Tuesday'>Tuesday</option>
<option name='Wednesday'>Wednesday</option>
<option name='Thursday'>Thursday</option>
<option name='Friday'>Friday</option>
<option name='Saturday'>Saturday</option>
<option name='Sunday'>Sunday</option>
</select></td>
<td><input type='submit' value='Analyze!'></input></td>
</tr>
</table>
</form>
<p><table><form method='POST' action=''>
<tr><td><strong>Change years:</td><td><select multiple name='years[]' size='2'>
<?php
$distinct = "SELECT DISTINCT year FROM transactions ORDER BY year DESC"; $result = mysqli_query($con, $distinct); $first = 0;
while ($row = mysqli_fetch_array($result)) {
	if ($first == 0) {
	echo "<option name='$row[year]' selected = 'selected'>$row[year]</option>";
	}
	else echo "<option name='$row[year]'>$row[year]</option>";
}
?></select></td></tr></table><input type='submit' name='updateyears'></input></form></table>
<?php if ($detailedSettings == 1) {echo "<h2>Detailed Usage <a href='detailed.php'>Here</a></h2>";}?>
<h2>Monthly Usage</h2>
<div id="chart-1"><!-- Fusion Charts will render here--></div>
<h2>Daily Usage</h2>
<div id="chart-5"><!-- Fusion Charts will render here--></div>
<h2>Transaction Type</h2>
<div id="chart-2"><!-- Fusion Charts will render here--></div>
<h2>Hourly Usage</h2>
<div id="chart-3"><!-- Fusion Charts will render here--></div>
<h2>Rate Statistics</h2>
<?php //rate statistics
$rateQuery = "SELECT DISTINCT date FROM transactions"; $rateResult = mysqli_query($con, $rateQuery); $rate = $rateResult->num_rows;

?>
<table cellpadding='3'><tr><td><strong>Hour</td><td><strong>Total</td><td><strong>Rate (per hour)</td></tr>
<?php
foreach ($rateArray as $key => $value) {
				
				$hourly = $value / $rate;
                echo "<tr><td>$key</td><td>$value</td><td>" . round($hourly, 2) . "</td></tr>";
            }
$con->close();
?>
</div></body></html>

