<?php
/*TrackRef, Copyright Michael Carlozzi 2016

This PHP file is part of TrackRef.

TrackRef is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

TrackRef is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with TrackRef. If not, see <http://www.gnu.org/licenses/>.
*/
session_start();if (!isset($_SESSION['username'])) {Header("Location: index.php"); die();} else $loginUser = $_SESSION['username'];
include('settings.php');
if ($detailedSettings !== 1)  { echo "You shouldn't be here--talk to your administrator."; die();} // don't let users access page if not using detailed mode
if (isset($_POST['removal'])) { //to remove rows
	foreach($_POST['removal'] as $post => $removal) {
		$pull_data = "SELECT * FROM transactions WHERE id = $removal"; $result = mysqli_query($con,$pull_data);
		while ($row = $result->fetch_assoc()) {
		$delete = "DELETE FROM transactions WHERE id = $removal"; mysqli_query($con,$delete);
}}}?>
<html>
<head><title>TrackRef Detailed Mode</title>
<link rel='stylesheet' href='design.css'>
</head>
<body>
<div id='main'>
<ul class='navbar'>
  <li class='navbar'><a class="active" href="index.php">Home</a></li>
  <li class='navbar'><a href="analysis.php">Analytics</a></li>
  <li class='navbar'><a href="edit.php">Settings</a></li>
  <li class='navbar'><a href="manual.php">Manual Entry</a></li>
   <?php if ($editRows == 1) { echo "<li class='navbar'><a href='remove.php'>Edit</a></li>"; }
  if (isset($_SESSION['username'])) echo "<li class='navbar'><a href='transaction.php?logout=1'>Logout</a></li>";?>
</ul>
<h2>Detailed Entries</h2>
<p><form method='POST' action=''><table><tr><td>Choose your transaction type:</td><td><select name='detailed'>
<?php
$query = "SELECT DISTINCT type FROM transactions"; $result = mysqli_query($con,$query);
while ($transactionData = mysqli_fetch_array($result)) {
		$type = $transactionData['type'];
		echo "<option value='$type'>$type</option>";
}
?>
</td></tr><tr><td><input type='submit' name='detail' value='Submit'></td></tr></table>
<h2>Qualitative Data</h2>
<table><tr><td><strong>Date</td><td><strong>Transaction</td><td><strong>Location</td><td><strong>Details</td></tr>
<?php 
if (isset($_POST['detail'])) {
	$trans = $_POST['detailed'];
	echo "<tr>";
	$query = "SELECT * FROM transactions WHERE type = '$trans' AND details != '' ORDER BY id DESC"; $result = mysqli_query($con,$query);
	while ($data = mysqli_fetch_array($result)) {
		echo "<tr><td>$data[date]</td><td>$data[type]</td><td>$data[location]</td><td>$data[details]</td></tr>";
	}
	echo "</table>";
}
$con->close();?>
</div></body></html>